/*
 * rockantenne.h - part of rockantenne.c, a plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 */

#ifndef _ROCKANTENNE__H
#define _ROCKANTENNE__H

#include <unistd.h>
#include <stdlib.h>
#include <time.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <fcntl.h>
#include <errno.h>

/*
 * uncomment this for some debugging output to stdout
 *
#define DEBUG 1
 */

#define STR_SERVER_IP "195.30.94.134"
#define STR_HTTP_GET "GET /rock/datenbankspez/titel.txt HTTP/1.1\nHost: www.rockantenne.de\n\n"
#define INTERPRET_STR "&interpret="
#define TITLE_STR "&title="
#define NEXT_STR "&target="
#define STRING_LEN 256
#define BUFLEN 8192

struct song_data {
  char *interpret;
  char *title;
};

int str_len(const char* in);
int str_copyn(char *out,const char *in, unsigned long limit);
int str_diffn(const char* a, const char* b, unsigned long limit);
int str_index(const char* a, const char* b);
int do_http_get(char *buf, int buflen);
int get_song_data(char *http_buf, int index, struct song_data *song);
unsigned long get_time_long();
int do_net_get(char *buf, int buflen, char *ip, int port, int lines_count);

#endif
